package llc.arma.ble.domain.usecase

import llc.arma.ble.domain.Result
import llc.arma.ble.domain.common.BleException
import llc.arma.ble.domain.repository.BleRepository
import javax.inject.Inject

class GetHostBleTableBySerial @Inject constructor(
    private val bleRepository: BleRepository,
) {

    suspend operator fun invoke(serial: String): Result<List<String>, BleException> {

        return bleRepository.getHostBleTableBySerial(serial)

    }

}